This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444957 - vgrename is broken in cluster lvm
vgrename is broken in cluster lvm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
: Regression
Depends On: 450474
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 06:52 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-05-02 06:52:06 EDT
vgrename doesn't work properly without refreshing cache (clvmd -R)

# clvmd -R
# lvchange -a n vg_bar/lv3
# vgrename vg_bar vg_bar1
  Volume group "vg_bar" successfully renamed to "vg_bar1"
# vgs
  VG       #PV #LV #SN Attr   VSize   VFree
  vg_bar1    4   4   0 wz--nc 399.98G 399.91G
# lvchange -a y vg_bar1/lv3
  Error locking on node bar-01: Volume group for uuid not found:
zX0qcpeD9um1FqePa7fZweGlUWs80lWucDmIanTFxtVKRlkDiFScxSI6oX54v6nr
  Error locking on node bar-03: Volume group for uuid not found:
zX0qcpeD9um1FqePa7fZweGlUWs80lWucDmIanTFxtVKRlkDiFScxSI6oX54v6nr
  Error locking on node bar-02: Volume group for uuid not found:
zX0qcpeD9um1FqePa7fZweGlUWs80lWucDmIanTFxtVKRlkDiFScxSI6oX54v6nr

# rpm -q lvm2
lvm2-2.02.36-1.el4

From code:
	/* FIXME lvmcache corruption - vginfo duplicated instead of renamed */
	persistent_filter_wipe(cmd->filter);
	lvmcache_destroy(cmd, 1);

Missing cache invalidation on remote nodes?
Comment 4 Milan Broz 2008-06-09 16:09:20 EDT
Fixed in lvm2-2.02.37-1.el4
Comment 6 Corey Marthaler 2008-06-27 10:37:26 EDT
This fix has been verified in lvm2-2.02.37-3.el4.
Comment 8 errata-xmlrpc 2008-07-24 16:08:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.